1 Reply Latest reply on Sep 28, 2012 10:30 PM by Christian Sadilek

    Problem building errai git repository

    John DeStefano Apprentice

      Hi,

       

      When trying to build errai after cloning the repository I get the following error:

       

      ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.7.2:test (default-test) on project errai-data-binding: Execution default-test of goal org.apache.maven.plugins:maven-surefire-plugin:2.7.2:test failed: Unable to load the mojo 'test' in the plugin 'org.apache.maven.plugins:maven-surefire-plugin:2.7.2'. A required class is missing: org/apache/maven/plugin/surefire/SurefireExecutionParameters

      [ERROR] -----------------------------------------------------

      [ERROR] realm =    plugin>org.apache.maven.plugins:maven-surefire-plugin:2.7.2

      [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy

      [ERROR] urls[0] = file:/Users/johndestefano/.m2/repository/org/apache/maven/plugins/maven-surefire-plugin/2.7.2/maven-surefire-plugin-2.7.2.jar

      [ERROR] urls[1] = file:/Users/johndestefano/.m2/repository/org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.jar

      [ERROR] Number of foreign imports: 1

      [ERROR] import: Entry[import  from realm ClassRealm[maven.api, parent: null]]

      [ERROR]

      [ERROR] -----------------------------------------------------: org.apache.maven.plugin.surefire.SurefireExecutionParameters

       

      If I change the surefire plugin version to 2.12.3 in the pom file then the build completes.

       

      Looked in my cache and I do have the 2.7.2 version. Not sure if this is my issue or if others are having the same problem?

       

       

      Thanks